#version 150

uniform sampler2D Sampler0;
uniform float GameTime;
uniform vec4 ColorModulator;

in vec4 vertexColor;
in vec2 texCoord0;

out vec4 fragColor;

void main() {
    vec4 color = texture(Sampler0, texCoord0) * vertexColor;
    if (GameTime > 0.001) {
        discard;
    }
    fragColor = color * ColorModulator;
}
